%global srcname verror

Name:           nodejs-%{srcname}
Version:        1.8.1
Release:        2%{?dist}
Summary:        Richer JavaScript errors
License:        MIT
URL:            https://github.com/davepacheco/node-verror
Source0:        https://github.com/davepacheco/node-verror/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/joyent/catest/ca138645cc9647d6976063c61fa9f28dd16c5023/catest

BuildArch:      noarch

ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  hostname
BuildRequires:  npm(extsprintf)
BuildRequires:  npm(assert-plus)
BuildRequires:  npm(core-util-is)

%description
%{summary}.

%prep
%autosetup -p 1 -n node-verror-%{version}
%nodejs_fixdep extsprintf '1.x'
rm -rf node_modules
install -m0755  %{SOURCE1} ./deps/catest

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%{nodejs_symlink_deps}

%check
%{nodejs_symlink_deps} --check
make test

%files
%doc README.md examples/
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Aug 28 2016 Piotr Popieluch <piotr1212@gmail.com> - - 1.8.1-1
- Update to 1.8.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 21 2016 Tom Hughes <tom@compton.nu> - 1.6.0-2
- Patch tests for changes in stack traces with nodejs 4

* Sun Dec 06 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.6.0-1
- Initial package
